Bug 569645 - yum update removes gdm and gnome
yum update removes gdm and gnome
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-01 17:28 EST by Steven Bularca
Modified: 2014-01-21 18:13 EST (History)
6 users (show)

See Also:
Fixed In Version: yum-3.2.28-3.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-29 08:57:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
`yum history info 23` (5.58 KB, text/plain)
2010-03-01 17:28 EST, Steven Bularca
no flags Details

  None (edit)
Description Steven Bularca 2010-03-01 17:28:31 EST
Created attachment 397208 [details]
`yum history info 23`

Description of problem:
Yesterday I ran a yum update only to find a non-working Xorg today, because gdm and gnome were removed as a result of some dependency.  I have attached a yum history info log that shows the information of yesterday's fatal transaction.

Version-Release number of selected component (if applicable):


How reproducible: It only happened once


Steps to Reproduce:
1. yum update
2. reboot
3.
  
Actual results: Non working Xorg

Expected results: Xorg should be working


Additional info: This problem was solved by running yum groupinstall 'gnome desktop environment'
Comment 1 seth vidal 2010-03-01 17:40:01 EST
can you attach the output of:

yum history list

thanks
Comment 2 Steven Bularca 2010-03-01 21:06:45 EST
[adam@localhost ~]$ yum history list
Loaded plugins: dellsysidplugin2, presto, refresh-packagekit
ID     | Login user             | Date and time    | Action(s)      | Altered
-------------------------------------------------------------------------------
    26 | root <root>            | 2010-03-01 16:58 | Install        |   50
    25 | Adam Spera <adam>      | 2010-03-01 15:39 | Install        |    2
    24 | root <root>            | 2010-03-01 15:07 | E, I, U        |  192
    23 | Adam Spera <adam>      | 2010-02-28 00:17 | E, I, U        |   78
    22 | System <unset>         | 2010-02-07 01:55 | I, U           |   33 **
    21 | System <unset>         | 2010-02-03 14:59 | O, U           |  103
    20 | System <unset>         | 2010-01-29 01:13 | Update         |    4
    19 | System <unset>         | 2010-01-21 17:20 | E, I, U        |   82
    18 | System <unset>         | 2010-01-14 19:32 | I, U           |   41
    17 | Adam Spera <adam>      | 2010-01-14 19:29 | Install        |    1
    16 | System <unset>         | 2010-01-10 18:14 | I, O, U        |   72
    15 | System <unset>         | 2010-01-05 15:53 | Update         |   60
    14 | System <unset>         | 2009-12-31 19:04 | E, I, U        |   94
    13 | System <unset>         | 2009-12-21 12:55 | Update         |   36
    12 | System <unset>         | 2009-12-17 00:28 | Update         |   19
    11 | Adam Spera <adam>      | 2009-12-11 19:27 | Install        |    1
    10 | System <unset>         | 2009-12-11 19:03 | Install        |    2
     9 | Adam Spera <adam>      | 2009-12-11 19:02 | Erase          |    2
     8 | System <unset>         | 2009-12-11 18:57 | E, I, U        |   48
     7 | Adam Spera <adam>      | 2009-12-09 00:06 | Erase          |    1



The transaction in question is number 23.
Comment 3 James Antill 2010-03-01 22:55:24 EST
    23 | Adam Spera <adam>      | 2010-02-28 00:17 | E, I, U        |   78
    22 | System <unset>         | 2010-02-07 01:55 | I, U           |   33 **
The transaction in question is number 23.

 Yeh, the "**" for transaction 22 means that that transaction failed ... the next transaction was then likely yum-complete-transaction. Which is known to make "interesting" choices (fixed upstream, and maybe in updates-testing?).

 We should probably make y-c-t etc. add yum-utils to the running with list.
Comment 4 Tim Lauridsen 2010-04-29 08:57:43 EDT
fixed upstream all newtype tools will add yum-utils version to history.

http://yum.baseurl.org/gitweb?p=yum.git;a=commitdiff;h=cefb56d90fdcae814be65a8c52aa55b6a7fd33eb
Comment 5 Fedora Update System 2010-08-02 10:11:31 EDT
yum-3.2.28-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/yum-3.2.28-1.fc13
Comment 6 Fedora Update System 2010-08-02 10:13:02 EDT
yum-3.2.28-1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/yum-3.2.28-1.fc14
Comment 7 Fedora Update System 2010-08-02 10:14:37 EDT
yum-3.2.28-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/yum-3.2.28-1.fc12
Comment 8 Fedora Update System 2010-08-05 19:44:38 EDT
yum-3.2.28-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-08-12 16:15:32 EDT
yum-3.2.28-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/yum-3.2.28-3.fc12
Comment 10 Fedora Update System 2010-08-12 16:18:00 EDT
yum-3.2.28-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/yum-3.2.28-3.fc13
Comment 11 Fedora Update System 2010-08-12 16:20:24 EDT
yum-3.2.28-3.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/yum-3.2.28-3.fc14
Comment 12 Fedora Update System 2010-08-17 01:45:41 EDT
yum-3.2.28-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-08-19 22:19:24 EDT
yum-3.2.28-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-08-23 21:37:03 EDT
yum-3.2.28-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.